using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class tblJobEkMaskAddIndexUnique : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_JobEkMasks_JobAutoControlId",
                table: "JobEkMasks");

            migrationBuilder.CreateIndex(
                name: "IX_JobEkMasks_JobAutoControlId_Name",
                table: "JobEkMasks",
                columns: new[] { "JobAutoControlId", "Name" },
                unique: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_JobEkMasks_JobAutoControlId_Name",
                table: "JobEkMasks");

            migrationBuilder.CreateIndex(
                name: "IX_JobEkMasks_JobAutoControlId",
                table: "JobEkMasks",
                column: "JobAutoControlId");
        }
    }
}
